<form class="example-form">
  <mat-form-field class="example-full-width">
    <input matInput type="text" placeholder="Usuário" [(ngModel)]="userParam" name="user">
  </mat-form-field>
  <button mat-button (click)='searchUser(userParam)'>Pesquisar</button>
</form>

<mat-card class="example-card" *ngIf="user">
  <mat-card-header>
    <div mat-card-avatar class="example-header-image">
      <img src="{{user.avatar_url}}">
    </div>
    <ul class="lista-dados">
      <li>{{user.name}}</li>
      <li>Seguidores: {{user.followers}}</li>
      <li>Seguindo: {{user.following}}</li>
    </ul>
  </mat-card-header>
  <mat-divider></mat-divider>
  <mat-card-content>
    <h1>Sobre:</h1>
    <p>
      {{user.bio}}
    </p>
    <span>Quantidade de repositórios publicos: {{user.public_repos}}</span>
  </mat-card-content>
</mat-card>
